#import "FileCollection.h"

/*
 * A file directory object. Set the path to a directory and
 * then you can select out with bourne type file matching the files
 * you need.
 *
 * NOTE: unlike Bourne shell, select does not treat the . in the first column
 * as a special case, i.e., select: "*" will yield all files including .* files.
 */

@interface Directory: FileCollection
{
   id path;				     /* The current path */
}

- init;
- init: (const char *)aPath;		     /* initialize with a default path */
- free;

- setPath: (const char *)aPath;		     /* set a path exepts C shell type paths preficxes: ~/, ~user */
- (const char *)path;			     /* return the current path */

@end
