#import <appkit/appkit.h>

@interface FileShelfView:View
{
   id images;
   id fileNames;
   id singleNames;
   int dragIndex;
   float titleWidth;
   BOOL enabled;
   BOOL nameListDirty;
   BOOL showNames;
}

- initFrame:(const NXRect *)rect;
- free;
- empty;

- fileNames;				     /* get filenames as single files */
- addFile: (const char *)filename;	     /* add file(s) - multiples should be \t spaced */

- setEnabled: (BOOL)flag;		     /* set the shelf enabled - so it can accept files */
- (BOOL) enabled;			     

- setShowNames: (BOOL) flag;		     /* should it show file names? */
-(BOOL) showNames;

- setTitleWidth: (float) aWidth;	     /* how many fixels wide is the slot for each icon - 50 is the minimum */
- (float) titleWidth;

- drawSelf:(NXRect *)rect :(int) count;
- mouseDown: (NXEvent *)anEvent;

@end


/*
 * NXDraggingSource category. 
 */
@interface FileShelfView (FSVNXDraggingSource)
- (NXDragOperation)draggingSourceOperationMaskForLocal:(BOOL)isLocal;
- draggedImage:(NXImage *)image endedAt:(NXPoint *)screenPoint deposited:(BOOL)didDeposit;
- (BOOL)ignoreModifierKeysWhileDragging;
@end


/*
 * NXDraggingDestination category. 
 */
@interface FileShelfView (FSVNXDraggingDestination) 
- (NXDragOperation)draggingEntered:(id <NXDraggingInfo>)sender;
- draggingExited:(id <NXDraggingInfo>)sender;
- (BOOL)performDragOperation:(id <NXDraggingInfo>)sender;
- concludeDragOperation:(id <NXDraggingInfo>)sender;
- (BOOL)prepareForDragOperation:(id <NXDraggingInfo>)sender;
@end

